import {
  Environment,
  commonApiUrls,
  commonApiacceptableFileExtensions,
  publicApiUrls,
  externalApiUrls,
  piUrls,
  protocolUrls,
  messageApiUrls,
  promptUrls,
  commonApiAcceptableFileExtensionsForImage,
  commonApiAcceptableFileExtensionsForVideo
} from './environment.type';
import { HostProtocol } from '@ucap/core';

export const environment = {
  production: true,
  hmr: false,

  commonApiModuleConfig: {
    hostConfig: {
      protocol: 'https' as HostProtocol,
      domain: 'dstalk.daesang.com',
      port: 443
    },
    urls: commonApiUrls,
    acceptableFileExtensions: commonApiacceptableFileExtensions,
    acceptableFileExtensionsForImage: commonApiAcceptableFileExtensionsForImage,
    acceptableFileExtensionsForVideo: commonApiAcceptableFileExtensionsForVideo
  },

  publicApiModuleConfig: {
    hostConfig: {
      protocol: 'https' as HostProtocol,
      domain: 'dstalk.daesang.com',
      port: 443
    },
    urls: publicApiUrls
  },

  externalApiModuleConfig: {
    hostConfig: {
      protocol: 'https' as HostProtocol,
      domain: 'dstalk.daesang.com',
      port: 443
    },
    urls: externalApiUrls
  },

  messageApiModuleConfig: {
    hostConfig: {
      protocol: 'https' as HostProtocol,
      domain: 'dstalk.daesang.com',
      port: 9097
    },
    urls: messageApiUrls
  },

  promptApiModuleConfig: {
    hostConfig: {
      protocol: 'https' as HostProtocol,
      domain: 'dstalk.daesang.com',
      port: 9097
    },
    urls: promptUrls
  },

  piModuleConfig: {
    hostConfig: {
      protocol: 'https' as HostProtocol,
      domain: 'dstalk.daesang.com',
      port: 9097
    },
    urls: piUrls
  },

  protocolModuleConfig: {
    hostConfig: {
      protocol: 'ws' as HostProtocol,
      domain: 'messenger2.daesang.com',
      port: 8080
    },
    urls: protocolUrls,
    reconnect: {
      delay: 1000
    },
    requestId: {
      min: 1,
      max: 59999
    }
  }
};
