// This file can be replaced during build by using the `fileReplacements` array.
// `ng build --prod` replaces `environment.ts` with `environment.prod.ts`.
// The list of file replacements can be found in `angular.json`.
import {
  Environment,
  commonApiUrls,
  commonApiacceptableFileExtensions,
  publicApiUrls,
  externalApiUrls,
  piUrls,
  protocolUrls,
  messageApiUrls,
  promptUrls,
  commonApiAcceptableFileExtensionsForImage,
  commonApiAcceptableFileExtensionsForVideo
} from './environment.type';

export const environment: Environment = {
  production: false,
  hmr: false,

  commonApiModuleConfig: {
    hostConfig: {
      protocol: 'http',
      domain: '15.164.139.105',
      port: 8011
    },
    urls: commonApiUrls,
    acceptableFileExtensions: commonApiacceptableFileExtensions,
    acceptableFileExtensionsForImage: commonApiAcceptableFileExtensionsForImage,
    acceptableFileExtensionsForVideo: commonApiAcceptableFileExtensionsForVideo
  },

  publicApiModuleConfig: {
    hostConfig: {
      protocol: 'http',
      domain: '15.164.139.105',
      port: 8011
    },
    urls: publicApiUrls
  },

  externalApiModuleConfig: {
    hostConfig: {
      protocol: 'http',
      domain: '15.164.139.105',
      port: 8011
    },
    urls: externalApiUrls
  },

  messageApiModuleConfig: {
    hostConfig: {
      protocol: 'http',
      domain: '15.164.139.105',
      port: 9097
    },
    urls: messageApiUrls
  },

  promptApiModuleConfig: {
    hostConfig: {
      protocol: 'http',
      domain: '15.164.139.105',
      port: 9097
    },
    urls: promptUrls
  },

  piModuleConfig: {
    hostConfig: {
      protocol: 'http',
      domain: '15.164.139.105',
      port: 9097
    },
    urls: piUrls
  },

  protocolModuleConfig: {
    hostConfig: {
      protocol: 'ws',
      domain: '15.164.139.105',
      port: 8080
    },
    urls: protocolUrls,
    reconnect: {
      delay: 1000
    },
    requestId: {
      min: 1,
      max: 59999
    }
  }
};

/*
 * For easier debugging in development mode, you can import the following file
 * to ignore zone related error stack frames such as `zone.run`, `zoneDelegate.invokeTask`.
 *
 * This import should be commented out in production mode because it will have a negative impact
 * on performance if an error is thrown.
 */
// import 'zone.js/dist/zone-error';  // Included with Angular CLI.
